%global momorel 2
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global kdegraphicsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: (La)TeX source editor and TeX shell
Name: kile
Version: 2.0.2
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kile.sourceforge.net/
Group: Applications/Publishing
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-2.0-fix-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdegraphics3 >= %{kdever}-%{kdegraphicsrel}
Requires: gnuplot
Requires: tetex-latex
Requires: xfig-plain
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: libxml2

%description
Kile is a user friendly (La)TeX editor.  The main features are:
  * Compile, convert and view your document with one click.
  * Auto-completion of (La)TeX commands
  * Templates and wizards makes starting a new document very little work.
  * Easy insertion of many standard tags and symbols and the option to define
    (an arbitrary number of) user defined tags.
  * Inverse and forward search: click in the DVI viewer and jump to the
    corresponding LaTeX line in the editor, or jump from the editor to the
    corresponding page in the viewer.
  * Finding chapter or sections is very easy, Kile constructs a list of all
    the chapter etc. in your document. You can use the list to jump to the
    corresponding section.
  * Collect documents that belong together into a project.
  * Easy insertion of citations and references when using projects.
  * Advanced editing commands.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kile.png %{buildroot}%{_datadir}/pixmaps/kile.png

# conflicts with kdelibs-4.1.0
rm -rf %{buildroot}%{_datadir}/apps/katepart

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README README.cwl TODO
%{_bindir}/kile
%{_datadir}/applications/kde/kile.desktop
%{_datadir}/apps/kconf_update/kile*
%{_datadir}/apps/kile
%{_datadir}/config.kcfg/kile.kcfg
%{_datadir}/doc/HTML/*/kile
%{_datadir}/icons/*/*/*/kile.png
%{_datadir}/icons/*/*/*/kile.svgz
%{_datadir}/locale/*/LC_MESSAGES/kile.mo
%{_datadir}/mimelnk/text/x-kilepr.desktop
%{_datadir}/pixmaps/kile.png

%changelog
* Thu Sep 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-2m)
- change Requires from xfig to xfig-plain
- change Requires from kdelibs3 to kdegraphics3

* Fri Aug 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-1m)
- version 2.0.2

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-2m)
- revise %%{_docdir}/HTML/*/kile/common

* Sat May 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-1m)
- version 2.0.1

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0-2m)
- %%NoSource -> NoSource

* Sun Dec  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-1m)
- version 2.0
- remove merged desktop.patch
- add fix-desktop.patch

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.3-1m)
- initial package for Momonga Linux
